import { useCallback } from 'react';
export function useMenuVisibility(isOpen, openMenu) {
  var onInputFocusHandler = useCallback(function () {
    if (!isOpen) {
      openMenu();
    }
  }, [isOpen, openMenu]);
  return {
    onInputFocusHandler: onInputFocusHandler
  };
}